:root {
    --text-clar: #d4d7dd;
    --text-normal: #3d3d3a;
    --text-resalta: #414141;
    --text-boto: #414141;
    --text-boto-actiu: #fff;
    --enllac: #3a8b24;
    --fons-contingut: #FFF;
    --fons-pagina: #F5F5F5;
    --fons-boto: #e9ecef;
    --fons-actiu: #000;
    --fons-titol: #326cd1;
    --marc: #e5e5e5;
    --marc-boto: #7b7b7b;
    --ombra: rgba(200, 200, 200, 1);
    --border-taula: #000;

    --bootstrap-bg-primary: #007bff;
    --bootstrap-bg-secondary: #6c757d;
    --bootstrap-bg-dark: #343a40;
    --bootstrap-bg-ligth: #f8f9fa;
    --bootstrap-bg-danger: #dc3545;


    --scroll-sidebar-track: rgba(255, 255, 255, 0.5);
    --scroll-sidebar-thumb: rgba(0, 0, 0, 0.3);

    --capsaPuja-fons: rgba(131, 176, 214, 0.5);
    /* #86b5dd */
    --capsaPuja-fons-actiu: #86b5dd;
    --capsaPuja-fons-fitxer: rgba(193, 255, 193, 0.8);
    /* #C1E1C1 */
    --capsaPuja-text: #000;

    --color-fonsInput-groc: yellow;
    --color-fonsInput-verd: lightgreen;
}


/* General */
html,
body {
    height: 100%;
    width: 100%;
}

html {
    font-size: 90%;
}

body {
    min-height: 100%;
    background: var(--fons-pagina);
    font-family: Arial, Helvetica, sans-serif;
    /* "Lucida Sans Unicode", "Lucida Grande", sans-serif; */
    font-size: 1rem;
    line-height: 1.377;
    color: var(--text-normal);
    /*
    background-image: url("../img/fons.png");
    background-repeat: no-repeat;
    background-attachment: fixed;
    background-position: center;
    -webkit-background-size: 58%;
    -moz-background-size: 58%;
    -o-background-size: 58%;
    background-size: 58%;
*/
}

.min-vh-80 {
    min-height: 80vh !important;
}

.h1,
.h2,
.h3,
.h4,
.h5,
.h6,
h1,
h2,
h3,
h4,
h5,
h6 {
    font-family: "Lucida Sans Unicode", "Lucida Grande", sans-serif;
}

.h1,
h1 {
    font-size: 2rem;
}

.h2,
h2 {
    font-size: 1.8rem;
}

.centrat {
    margin-left: auto;
    margin-right: auto;
}

.center {
    text-align: center;
}

.titolPagina {
    margin: 0.5rem 0.5rem 2rem 0.5rem;
    background-color: var(--fons-titol);
    color: var(--text-clar);
    padding: 0.5rem;
}

.titolPagina h1 {
    margin-bottom: 0;
}

/* formularis */
/*
.btn {
    display: inline-block;
    margin-bottom: 0;
    font-weight: 700;
    font-family: Helvetica, Arial, sans-serif;
    text-align: center;
    vertical-align: middle;
    touch-action: manipulation;
    cursor: pointer;
    background-image: none;
    white-space: nowrap;
    text-transform: uppercase;
    padding: 11px;
    font-size: 1rem;
    line-height: 1;
    border: none;
    border-radius: none;
    -webkit-user-select: none;
    -moz-user-select: none;
    -ms-user-select: none;
    user-select: none;
}
*/
.btn-default {
    color: var(--text-boto);
    background-color: var(--fons-boto);
    border: 1px solid var(--marc-boto);
}

.btn-default:hover {
    color: var(--text-boto-actiu);
    background-color: var(--fons-actiu);
    border: 1px solid var(--fons-actiu);
}

/*
.btn-outline {
    border: 1px solid var(--marc-boto);
}

.btn-outline-danger {
    border-color: var(--bootstrap-bg-danger);
}

.btn-outline-primary {
    border-color: var(--bootstrap-bg-primary);
}

.btn-outline-secondary {
    border-color: var(--bootstrap-bg-secondary);
}

.btn-outline-dark {
    border-color: var(--bootstrap-bg-dark);
}

.btn-sm {
    padding: .25rem .5rem;
    font-size: .875rem;
    border-radius: .2rem;
}
*/

/* Login */
.rCapsa {
    min-width: 50vw;
}

.capsa {
    padding: 0;
    padding-bottom: 2rem;
    font-weight: normal;
    background: var(--fons-contingut);
    border: 1px solid var(--marc);
    -moz-box-shadow: var(--ombra) 0 4px 18px;
    -webkit-box-shadow: var(--ombra) 0 4px 18px;
    -khtml-box-shadow: var(--ombra) 0 4px 18px;
    box-shadow: var(--ombra) 0 4px 18px;

}

.capsaMarges {
    padding: 2rem;
}

.capsa>.row:first-child {
    padding-bottom: 2rem;
}

.capsa>.row:not(:first-child) {
    padding-left: 2rem;
    padding-right: 2rem;
}

.logoLogin {
    border-right: 1px solid var(--marc);
    padding-right: 2rem;
    padding-bottom: 2rem;
}

.logoLogin h1 {
    color: var(--text-clar);
}

h2.titolLogin {
    color: var(--text-clar);
    font-size: 1.2rem;
}

.logoLogin img {
    padding: 0rem 1rem 0 1rem;
}

.logoLogin+div {
    padding-left: 2rem;
}

.accessosLogin div,
.accio a {
    font-size: 0.85rem;
}

.accessosLogin div.resalta {
    font-weight: bold;
}

.accessosLogin div.resalta a {
    font-weight: normal;
}

.accio span {
    font-size: 0.85rem;
}

.accessosLogin div a,
.accio a {
    text-decoration: none;
}

.accessosLogin div a:hover,
.accio a:hover {
    text-decoration: underline;
}

.accessosLogin div a:not(:first-child) {
    border-left: 1px solid var(--bootstrap-bg-secondary);
    padding-left: 0.2rem;
}

.peuLogin {
    border-top: 1px solid var(--marc);
    padding-top: 1rem;
    margin-top: 1rem;
}

.peuLogin footer div {
    font-size: 0.7rem;
}

.peuLogin footer a {
    text-decoration: none;
}

.peuLogin footer a:hover {
    text-decoration: underline;
}

@media screen and (max-width: 1470px) {
    .rCapsa {
        min-width: 70vw;
    }

    .logoLogin h1 {
        font-size: 1.6rem;
    }
}

@media screen and (max-width: 1280px) {
    .rCapsa {
        min-width: 80vw;
    }

    .logoLogin h1 {
        font-size: 1.2rem;
    }

    .logoLogin img {
        padding: 0.5rem 0 0 0;
    }
}

@media screen and (max-width: 576px) {
    .rCapsa {
        min-width: 100vw;
        position: absolute;
        top: 0;
        left: 0;
    }

    .capsa {
        padding: 0;
    }

    .logoLogin {
        border: 0;
        padding-right: 0;
        padding-bottom: 0.25rem;
    }

    .logoLogin h1 {
        font-size: 0.9rem;
        text-align: center;
        border-bottom: 1px solid var(--marc);
    }

    .logoLogin img {
        padding: 0;
        padding: 0.1rem;
        max-width: 75%;
    }

    .accessosLogin {
        padding-top: 2rem;
    }

    .peuLogin {
        padding-left: 0.25rem;
        padding-right: 0.25rem;
    }
}


/* Alerts */
.alert i {
    margin-right: 1.5rem;
}

/* SIDEBAR: MENÚ LATERAL */
#content {
    margin-left: 290px;
}

#btObreMenu {
    display: none;
}

#btTancaMenu {
    display: none;
}

@media screen and (max-width: 900px) {
    #content {
        margin-left: 0;
    }

    #sidebar {
        display: none !important;
        z-index: 1000;
    }

    #sidebar.obreMenu {
        display: flex !important;
    }

    #btObreMenu {
        display: block;
    }

    #btTancaMenu {
        display: block;
    }
}

.publicForm {
    margin-left: 0 !important;
}

.side-navbar {
    width: 280px;
    max-width: 280px;
    height: 100%;
    /*   min-height:100%;   */
    position: fixed;
    background-color: #100901;
    transition: 0.5s;
}

.side-navbar .logoApp {
    border-bottom: 1px solid var(--fons-contingut);
    margin: 10px;
    padding-bottom: 10px;
    flex: 0 1 auto;
}

.side-navbar .container-nav {
    flex: 1 1 auto;
    scrollbar-width: thin;
    scrollbar-color: var(--scroll-sidebar-thumb) var(--scroll-sidebar-track);
}

.side-navbar .logout {
    flex: 0 1 48px;
}

.side-navbar .container-nav::-webkit-scrollbar {
    width: 10px;
}

.side-navbar .container-nav::-webkit-scrollbar-track {
    -webkit-box-shadow: inset 0 0 6px var(--scroll-sidebar-track);
    box-shadow: inset 0 0 6px var(--scroll-sidebar-track);
    -webkit-border-radius: 8px;
    border-radius: 8px;
}

.side-navbar .container-nav::-webkit-scrollbar-thumb {
    -webkit-box-shadow: inset 0 0 6px var(--scroll-sidebar-thumb);
    box-shadow: inset 0 0 6px var(--scroll-sidebar-thumb);
    -webkit-border-radius: 8px;
    border-radius: 8px;
}

.publicForm .lopoApp img,
.side-navbar .logoApp img {
    width: 100px;
    height: auto;
    border-radius: 50%;
    background-color: var(--fons-contingut);
    margin: 5px auto;
}

.side-navbar .nav-link .nav-icon {
    padding: 4px;
    border: 1px solid var(--fons-contingut);
    border-radius: 4px;
    width: 32px;
    height: 32px;
}

.side-navbar .nav-link:hover {
    cursor: pointer;
    background-color: var(--bootstrap-bg-secondary);
}

.side-navbar .nav-link span {
    line-height: 2rem;
}

.side-navbar .nav-link a {
    text-decoration: none;
}

.side-navbar .nav-link span,
.side-navbar .nav-link i {
    color: var(--fons-contingut);
}

.side-navbar .nav-link:hover span,
.side-navbar .nav-link:hover i {
    color: var(--fons-contingut);
}

.side-navbar .dropdown-toggle::after {
    color: var(--fons-contingut);
    float: right;
    margin-right: 0.3rem;
    margin-top: 1rem;
}

.side-navbar .dropup-toggle::after {
    border-bottom: .3em solid;
    border-right: .3em solid transparent;
    border-top: 0;
    border-left: .3em solid transparent;
}

.side-navbar .nav-link.active {
    background-color: var(--text-resalta);
    cursor: default;
}

.side-navbar .nav-link.active span {
    font-weight: 500;
}

/* CAPSA Puja ------------------ */
.capsaPuja {
    background-color: var(--capsaPuja-fons);
    padding: 30px 20px;
    border: 5px dashed var(--capsaPuja-text);
    border-radius: 1rem;
    margin-bottom: 2rem;
    width: 40%;
}

@media screen and (max-width: 1400px) {
    .capsaPuja {
        width: 60%;
    }
}

.capsaPuja_fitxer {
    background-color: var(--capsaPuja-fons-fitxer);
}

.capsaPuja_actiu {
    background-color: var(--capsaPuja-fons-actiu) !important;
}

.capsaPuja h2 {
    font-size: 1.4rem;
    font-weight: 700;
    color: var(--capsaPuja-text);
    margin-bottom: 0.8rem;
}

.capsaPuja input[type="file"] {
    width: 0.1px;
    height: 0.1px;
    opacity: 0;
    overflow: hidden;
    position: absolute;
    z-index: -1;
}

.capsaPuja label {
    font-size: 1.1em;
    font-weight: 700;
    color: var(--text-boto-actiu);
    background-color: var(--fons-actiu);
    display: inline-block;
    padding: 0.2rem 1rem;
}

.capsaPuja label:hover,
.capsaPuja label.escollit:hover {
    background-color: var(--bootstrap-bg-primary);
    cursor: pointer;
}

.capsaPuja label.escollit {
    font-size: 1rem;
    font-weight: 300;
    color: var(--text-boto);
    background-color: var(--fons-boto);
}

.capsaPuja_dragndrop {
    font-size: 1.1rem;
}

.capsaPuja_button {
    margin-top: 0.8rem;
}

.capsaPuja_control {
    display: none;
    font-size: 0.8rem;
    color: var(--text-resalta);
    margin-top: 0.2rem;
}

a.capsaPuja_exemple {
    color: var(--bootstrap-bg-secondary);
    font-size: 0.8rem;
    text-decoration: none;
}

a.capsaPuja_exemple:hover {
    color: var(--bootstrap-bg-primary);
    text-decoration: underline;
}

/* BootGrid ------------------ */
ul.pagination li.page-item:not(.disabled) {
    cursor: pointer;
}

@media screen and (max-width: 1280px) {

    .bootgrid-table td,
    .bootgrid-table th {
        font-size: 0.8rem !important;
    }
}

#okmodal-datagrid .spinner-border,
.btn-Spinner .spinner-border {
    margin-right: 1rem;
}

/* MODIFICADORS SEGONS PAGINA --------------------------- */
.calendarDP_wfixa {
    width: 100px;
}

.calendarDP {
    padding-right: calc(1.5em + .75rem);
    background-image: url("../img/calendar-alt-regular.svg");
    background-repeat: no-repeat;
    background-position: right calc(.375em + .1875rem) center;
    background-size: calc(.75em + .375rem) calc(.75em + .375rem);
}

.labelsDiv {
    font-size: 0.9rem;
}

input.fonsGroc {
    background-color: var(--color-fonsInput-groc);
}

input.fonsVerd {
    background-color: var(--color-fonsInput-verd);
}

table.no_w100 {
    width: inherit !important;
}

table th.filaGrup {
    border-right: 1px solid var(--border-taula)
}

.form-row {
    display: flex;
    flex-wrap: wrap;
    margin-right: -5px;
    margin-left: -5px;
}

legend.llegenda {
    border-style: none;
    border-width: 0;
    font-size: 1.3em;
    line-height: 1.5em;
    margin-bottom: 0;
    float: inherit;
    width: inherit;
    padding-left: 0.5rem;
    padding-right: 0.5rem;
}

.detall,
.detallInfo {
    margin-top: 2em;
    padding-top: 1em;
    border-top: 1px solid black;
}

.detall .titol {
    font-size: 1.8em;
    font-weight: bold;
    margin-bottom: 1em;
}

#detall_datagrid-header,
#detall_datagrid-footer {
    display: none !important;
}

td.selFila {
    background-color: orange !important;
}

.btn-outline-primary,
.btn-outline-danger,
.btn-outline-light {
    border-width: 1px;
    border-style: solid;
}

.separaTaula {
    background-color: white !important;
}

.titolTaula {
    color: white;
    background-color: var(--marc-boto) !important;
}

a.noSub,
a.noSub:hover {
    text-decoration: none;
}

ul.senseMarca {
    list-style-type: none;
}

.grupPagament div {
    font-size: 0.9rem;
}

div.infoSoci {
    margin: 0;
    margin-bottom: 1rem;
    border-top-width: 0 !important;
}

div.infoSoci h4 {
    font-family: Arial, Helvetica, sans-serif;
    color: var(--text-normal);
    font-weight: var(--bs-body-font-weight);
    font-size: 1.5rem;
}

/* Tooltip */
.tooltip-size-lg .tooltip-inner {
    max-width: 300px;
    width: 300px;
    text-align: left;
}

.txt-petit {
    font-size: 0.7em;
}

.txt-reduit {
    font-size: 0.85em;
}

.form-switch-sm {
    padding-left: 2.2em;
}

.form-switch-sm .form-check-input {
    width: 1.8rem;
    height: 0.9rem;
    margin-left: -2.2em;
}

.form-switch-sm .form-check-input::before {
    width: 0.6rem;
    height: 0.6rem;
}

.table-condensed th,
.table-condensed td {
    font-size: 0.8em;
    padding: 0.1em;
}